Bug 499560 - calling rhn-satellite-exporter to the system without the satellite ends with a traceback and RC is 0
calling rhn-satellite-exporter to the system without the satellite ends with ...
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Jan Hutař
Depends On:
Blocks: 457071
  Show dependency treegraph
Reported: 2009-05-07 03:54 EDT by Jan Hutař
Modified: 2009-09-10 16:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-10 16:04:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-05-07 03:54:33 EDT
Description of problem:
Calling rhn-satellite-exporter to the remote satellite ends with a traceback and return code is 0.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install rhn-satellite-exporter and it's dependencies, but not a satellite
2. # rhn-satellite-exporter --dir=/tmp/dump-te9588 --channel=test-i386-0

Actual results:
RHN 9593 2009/05/07 09:34:46 +02:00: ('Connection attempt failed', 12154, 'ORA-12154: TNS:could not resolve the connect identifier specified\n')
09:34:46 SQL ERROR during xml processing: (12154, 'ORA-12154: TNS:could not resolve the connect identifier specified\n', 'oracleinstance', 'Connection_Connect(): server attach')
09:34:46 TRACEBACK: Exception reported from xen91.englab.brq.redhat.com
Time: Thu May  7 09:34:46 2009
Exception type server.rhnSQL.sql_base.SQLConnectError
[... -> http://pastebin.test.redhat.com/10787]
# echo $?

Expected results:
# echo $?

Additional info:
Reasonable return value would be nice.
Comment 1 Brandon Perkins 2009-05-07 11:22:01 EDT
The intention here is simply to return a non-zero return.  Not that this should work.
Comment 3 Jan Hutař 2009-05-21 07:29:30 EDT
VERIFIED on Satellite-5.3.0-RHEL4-re20090520.0-i386 - now we are getting 255
Comment 4 Jan Pazdziora 2009-08-12 09:25:07 EDT
# ( echo '[satellite]' ; echo 'baseurl=file:///mnt/hostel/local/Satellite-5.3.0-RHEL5-re20090806.0-i386/Satellite' ) > /etc/yum.repos.d/satellite.repo
# yum install --enablerepo=satellite spacewalk-backend-tools-0.5.28-33.el5sat.noarch.rpm 
Transaction Summary
Install     88 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         
Installed: spacewalk-backend-tools.noarch 0:0.5.28-33.el5sat
Dependency Installed: PyPAM.i386 0:0.4.2-26.el5sat PyXML.i386 0:0.8.4-4 PyYAML.i386 0:3.08-4.el5sat apr.i386 0:1.2.7-11.el5_3.1 apr-util.i386 0:1.2.7-7.el5_3.2 cobbler.i386 0:1.6.6-3.el5sat compat-libstdc++-33.i386 0:3.2.3-61 createrepo.noarch 0:0.4.11-3.el5 cx_Oracle.i386 0:4.4.1-1.el5sat distcache.i386 0:1.4.5-14.1 elfutils.i386 0:0.137-3.el5 elfutils-libs.i386 0:0.137-3.el5 httpd.i386 0:2.2.3-22.el5_3.2 jabberd.i386 0:2.0s10-3.52.el5sat libapreq2.i386 0:2.09-8.el5sat libyaml.i386 0:0.1.2-3.el5sat mkisofs.i386 9:2.01-10.7.el5 mod_perl.i386 0:2.0.4-6.el5 mod_python.i386 0:3.2.8-3.1 mod_ssl.i386 1:2.2.3-22.el5_3.2 nocpulse-common.noarch 0:2.1.8-9.el5sat oracle-config.noarch 0:1.1-4.el5sat oracle-instantclient-basic.i386 0:10.2.0-42.el5sat perl-Algorithm-Diff.noarch 0:1.1902-2.el5 perl-Apache-DBI.noarch 0:0.94-12.el5 perl-Archive-Tar.noarch 0:1.30-1.fc6 perl-Authen-PAM.i386 0:0.16-1.el5sat perl-BSD-Resource.i386 0:1.28-1.fc6.1 perl-Cache-Cache.noarch 0:1.03-7.el5 perl-Class-Singleton.noarch 0:1.03-6.el5 perl-Compress-Zlib.i386 0:1.42-1.fc6 perl-DBD-Oracle.i386 0:1.23-4.el5sat perl-DBI.i386 0:1.52-2.el5 perl-DateTime.i386 0:0.27-10.el5 perl-DateTime-Locale.noarch 0:0.09-10.el5sat perl-DateTime-TimeZone.noarch 0:0.59-8.el5sat perl-Digest-HMAC.noarch 0:1.01-15 perl-Digest-SHA1.i386 0:2.11-1.2.1 perl-Error.noarch 0:0.15-7.el5 perl-Frontier-RPC.noarch 0:0.07b4p1-8.el5sat perl-HTML-Parser.i386 0:3.55-1.fc6 perl-HTML-Tagset.noarch 0:3.10-2.1.1 perl-IO-Zlib.noarch 0:1.04-4.2.1 perl-IO-stringy.noarch 0:2.109-11.el5 perl-IPC-ShareLite.i386 0:0.13-2.el5 perl-MIME-Lite.noarch 0:3.01-6.el5 perl-Mail-RFC822-Address.noarch 0:0.3-10.el5 perl-Params-Validate.i386 0:0.74-10.el5 perl-Proc-Daemon.noarch 0:0.03-6.el5 perl-RPM2.i386 0:0.68-34.el5 perl-SOAP-Lite.noarch 0:0.60a-11.el5 perl-Satcon.noarch 0:1.10-1.el5 perl-TermReadKey.i386 0:2.30-11.el5 perl-Text-Diff.noarch 0:0.35-11.el5 perl-TimeDate.noarch 1:1.16-5.el5 perl-URI.noarch 0:1.35-3 perl-Unix-Syslog.i386 0:0.100-11.el5sat perl-XML-LibXML.i386 0:1.58-5 perl-XML-LibXML-Common.i386 0:0.13-8.2.2 perl-XML-NamespaceSupport.noarch 0:1.09-1.2.1 perl-XML-Parser.i386 0:2.34- perl-XML-SAX.noarch 0:0.14-5 perl-libapreq2.i386 0:2.09-8.el5sat perl-libwww-perl.noarch 0:5.805-1.1.1 postgresql-libs.i386 0:8.1.11-1.el5_1.1 python-cheetah.i386 0:2.0.1-1.el5sat.2 python-devel.i386 0:2.4.3-24.el5_3.6 python-gzipstream.noarch 0:1.4.0-18.el5sat python-netaddr.noarch 0:0.5.2-2.el5sat python-simplejson.i386 0:2.0.3-3.el5sat rpm-build.i386 0: spacewalk-admin.noarch 0:0.5.15-1.el5sat spacewalk-backend.noarch 0:0.5.28-33.el5sat spacewalk-backend-app.noarch 0:0.5.28-33.el5sat spacewalk-backend-server.noarch 0:0.5.28-33.el5sat spacewalk-backend-sql.noarch 0:0.5.28-33.el5sat spacewalk-backend-xml-export-libs.noarch 0:0.5.28-33.el5sat spacewalk-backend-xmlrpc.noarch 0:0.5.28-33.el5sat spacewalk-base.noarch 0:0.5.23-27.el5sat spacewalk-base-minimal.noarch 0:0.5.23-27.el5sat spacewalk-certs-tools.noarch 0:0.5.5-6.el5sat spacewalk-config.noarch 0:0.5.9-15.el5sat spacewalk-pxt.noarch 0:0.5.23-27.el5sat spacewalk-schema.noarch 0:0.5.20-22.el5sat spacewalk-setup.noarch 0:0.5.27-19.el5sat tftp-server.i386 0:0.42-3.1 xinetd.i386 2:2.3.14-10.el5
Updated: python.i386 0:2.4.3-24.el5_3.6
# rhn-satellite-exporter --dir=/tmp/dump-te9588 --channel=test-i386-0
RHN 622 2009/07/31 13:50:46 +02:00: ('Connection attempt failed', 12154, 'ORA-12154: TNS:could not resolve the connect identifier specified\n')
SQLERROR: There was an error connecting to the Database.
# echo $?

Comment 5 Brandon Perkins 2009-09-10 16:04:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.